<template>
	<div class="d-flex mt-3 flex-column">
		<h4 class="mb-5">{{ sectionTitle }}</h4>
		<v-row v-for="(item, index) in items" :key="index">
			<v-col cols="6">
				<div class="d-flex pa-3 pt-0 align-center">
					<div class="section-avatar">
						<v-avatar :size="50">
							<v-img :src="item.picture.large"></v-img>
						</v-avatar>
						<v-icon v-if="showStatus" small color="success" class="section-avatar-status">mdi-circle</v-icon>
					</div>
					<span class="ms-3 font-weight-black">{{ item.name.first + ' ' + item.name.last }}</span>
				</div>
			</v-col>
			<v-col cols="6">
				<v-card-actions>
					<v-btn small color="primary">Accept</v-btn>
					<v-btn small color="red" dark>Decline</v-btn>
				</v-card-actions>
			</v-col>
		</v-row>
	</div>
</template>

<script>
export default {
	name: 'FriendRequest',
	props: {
		sectionTitle: {
			type: String,
			default: '',
		},
		showStatus: {
			type: Boolean,
			default: false,
		},
		items: {
			type: Array,
			default: () => [],
		},
	},
};
</script>

<style lang="scss" scoped>
.section-avatar {
	position: relative;
	.section-avatar-status {
		position: absolute;
		bottom: 0;
		left: 35px;
	}
}
</style>
